EDIT - feature request #8688

Make OriginalSourceBase.cdmSource visible in TaxEditor
11/15/2019 10:46 PM - Andreas Muller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.13

Severity: major

Description

The field OriginalSourceBase.cdmSource is usually filled during aggregations (for now). Therefore it does not need to be editable but
the result should be visible to be able to distinguish and recognize sources.

Possible open questions related: do we want to have a new subclass for OriginalSourceBase which only handles CdmLink-Sources.
This subclass does not need to show all other fields (citation, id, namespace as these are probably never used). Or can we
distinguish which fields to show simply by the result of (osb.cdmSource == null)? => moved to: #8778

Related issues:

Related to EDIT - feature request #8686: Support CdmLink sources in bibliography Closed
Related to EDIT - bug #8687: Description page must show all DescriptionElemen... New
Related to EDIT - feature request #8724: Allow OriginalSource to link to Taxon Closed
Related to EDIT - feature request #8778: Have explicit subclass for CdmSource... New
Copied to EDIT - feature request #8777: Make visiblity of CDM Source configur... Resolved

Associated revisions

Revision 5d945a6e - 12/11/2019 06:07 PM - Patrick Plitzner

fix #8688 Make OriginalSourceBase.cdmSource visible in TaxEditor

Revision 27¢58d84 - 01/28/2020 11:37 AM - Katja Luther
ref #8688: show only titleCache for IdentifiableEntities

History

#1 - 11/15/2019 10:46 PM - Andreas Miller

- Target version changed from Unassigned CDM tickets to Release 5.12

Please decide who could be assignee. It would be nice to have it soon.

#2 - 11/15/2019 10:47 PM - Andreas Miiller
- Related to feature request #8686: Support CdmLink sources in bibliography added

#3 - 11/15/2019 10:47 PM - Andreas Miiller

- Related to bug #8687: Description page must show all DescriptionElement subclasses added

#4 - 12/11/2019 06:08 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|5d945a6ece2394f970845815a0dc7f08bb70e1b4.

#5 - 12/11/2019 06:09 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

Current implementation shows the titleCache if it is an IdentifiableEntity. It shows the UUID if it is a CdmBase. Otherwise it calls object.toString().
#6 - 12/17/2019 02:28 PM - Andreas Miiller
- Related to feature request #8724: Allow OriginalSource to link to Taxon added

#7 - 12/17/2019 03:00 PM - Andreas Miiller
- Copied to feature request #8777: Make visiblity of CDM Source configurable added

#8 - 12/17/2019 03:12 PM - Andreas Miiller

- Description updated

#9 - 12/17/2019 03:15 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The current solution shows titteCache+uuid for identifiable entities. This is too much. For now we need only the titteCache. Please remove uuid (it is
needed only for non-identifiable entities.

Also there seems to be an extra empty line at the end which is not needed.

#10 - 12/17/2019 03:36 PM - Andreas Miiller

- Related to feature request #8778: Have explicit subclass for CdmSourceLink sources added

#11 - 01/16/2020 01:04 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#12 - 01/28/2020 11:39 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

now only titleCache (for identifiable entities) or uuid (for cdmBase objects) is shown

#13 - 03/05/2020 03:19 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther
- % Done changed from 50 to 100

| can't test for CdmBase as there is no class implementing the ICdmSource interface yet which is not identifiable.

| tested for Taxon and it worked as expected.
